home *** CD-ROM | disk | FTP | other *** search
/ Jason Aller Floppy Collection / 204.img / SC386BN1.TD0 / profile.hd < prev    next >
Encoding:
Text File  |  1988-08-22  |  3.1 KB  |  106 lines

  1. #    @(#) prof.hd.src 1.7 88/08/12 
  2. #
  3. # PROFILE.HD
  4. #
  5.  
  6. PS1="<Installation> "
  7. HZ=20
  8. export PS1 HZ
  9.  
  10. # if xenix is on the hard disk carry on as normal
  11. # xenix should always be on the hard disk in the 96tpi version
  12. [ -f /xenix ] && {
  13.     /etc/firsttime && {
  14.         mv /etc/firsttime /tmp
  15.         /etc/haltsys
  16.     }
  17.     exit 0
  18. }
  19.  
  20. # move xenix onto hard disk, serialise it and exit
  21. cd /
  22. /etc/mount -r /dev/install /mnt || {
  23.         echo "Unable to mount floppy" >&2
  24.         echo "Please reboot" >&2
  25.         /etc/haltsys
  26. }
  27. /bin/cp /mnt/xenix /xenix
  28. /bin/cp /mnt/etc/default/boothd /etc/default/boot
  29.  
  30. # copy perm lists from floppy to hard disk
  31.  
  32. /bin/cp /mnt/etc/inst.perms /etc/inst.perms
  33. /bin/cp /mnt/etc/dsmd.perms /etc/dsmd.perms
  34. /bin/cp /mnt/etc/tpmd.perms /etc/tpmd.perms
  35.  
  36. # link perm lists
  37.  
  38. /bin/ln /etc/inst.perms /etc/perms/inst
  39. /bin/ln /etc/dsmd.perms /etc/perms/dsmd
  40. /bin/ln /etc/tpmd.perms /etc/perms/tpmd
  41.  
  42. # print restricted rights legend on user screen
  43. echo "
  44.  
  45.    ------------------------------------------------------------------------
  46.   |                                                                        |
  47.   |                       RESTRICTED RIGHTS LEGEND                         |
  48.   |                                                                        |
  49.   |   Use,  duplication, or disclosure by the Government is subject  to    |
  50.   |   restrictions as set forth in subdivision (b)(3)(ii) of the Rights    |
  51.   |   in Technical Data and Computer Software clause at 252.227-7013.      |
  52.   |                                                                        |
  53.   |                    The Santa Cruz Operation, Inc.                      |
  54.   |                          400 Encinal Street                            |
  55.   |                         Santa Cruz, CA 95061                           |
  56.   |                                                                        |
  57.    ------------------------------------------------------------------------
  58.  
  59. " >&2
  60. # We have to serialize the kernel or we'll be in trouble when we re-boot
  61. echo "\nOperating system serialization." >&2
  62. file="/xenix /etc/getty"
  63. while    echo "\nEnter your serial number \007\nand press <RETURN> \c" >&2
  64. do    read serial rest
  65.     echo "Enter your activation key \nand press <RETURN> \c" >&2
  66.     read key rest
  67.     /etc/brand $serial $key $file
  68.     case $? in
  69.     0)    break                        ;;
  70.     1)    echo "Error, please try again" >&2        ;;
  71.     2)    echo "Invalid activation key" >&2        ;;
  72.     3)    echo "$file is already serialized" >&2; break    ;;
  73.     esac
  74.     while    echo "Do you wish to try activation again? (y/n) \c" >&2
  75.         read yn
  76.     do    case $yn in
  77.         [Yy]*)    break
  78.             ;;
  79.         [Nn]*)    echo "
  80. Xenix will not work correctly without proper serialization.
  81. Contact your support center to obtain a valid activation
  82. key and restart the installation." >&2
  83.             /etc/haltsys
  84.             ;;
  85.         *)    echo "Enter either 'y' or 'n'" >&2
  86.         esac
  87.     done
  88. done
  89.  
  90. /etc/umount /dev/install || echo "Floppy umount failed" >&2
  91.  
  92. echo "
  93. AFTER you see the message: '** Normal System Shutdown **'
  94. OPEN the floppy door and REMOVE the floppy disk.
  95.  
  96. To reboot the system, PRESS any key.
  97.  
  98. The screen will clear and you will see the boot message:
  99.  
  100.     Boot
  101.     :
  102.  
  103. Press <RETURN> to reboot and continue the installation.\n" >&2
  104.  
  105. /etc/haltsys
  106.